com.hazelcast.nio

## Interface BufferObjectDataOutput

- All Superinterfaces:
    AutoCloseable, Closeable, DataOutput, ObjectDataOutput, VersionAware

      @PrivateApi
      public interface BufferObjectDataOutput
      extends ObjectDataOutput, Closeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UTF_BUFFER_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `position()`
    `void` | `position(int newPos)`
    `void` | `setVersion(Version version)`
    `void` | `write(int position, int b)`
    `void` | `writeBoolean(int position, boolean v)`
    `void` | `writeByte(int position, int v)`
    `void` | `writeChar(int position, int v)`
    `void` | `writeDouble(double v, ByteOrder byteOrder)`
    `void` | `writeDouble(int position, double v)`
    `void` | `writeDouble(int position, double v, ByteOrder byteOrder)`
    `void` | `writeFloat(float v, ByteOrder byteOrder)`
    `void` | `writeFloat(int position, float v)`
    `void` | `writeFloat(int position, float v, ByteOrder byteOrder)`
    `void` | `writeInt(int v, ByteOrder byteOrder)`
    `void` | `writeInt(int position, int v)`
    `void` | `writeInt(int position, int v, ByteOrder byteOrder)`
    `void` | `writeLong(int position, long v)`
    `void` | `writeLong(int position, long v, ByteOrder byteOrder)`
    `void` | `writeLong(long v, ByteOrder byteOrder)`
    `void` | `writeShort(int v, ByteOrder byteOrder)`
    `void` | `writeShort(int position, int v)`
    `void` | `writeShort(int position, int v, ByteOrder byteOrder)`
    `void` | `writeZeroBytes(int count)`

    - ### Methods inherited from interface com.hazelcast.nio.ObjectDataOutput

      `getByteOrder, getSerializationService, toByteArray, toByteArray, writeBooleanArray, writeByteArray, writeCharArray, writeData, writeDoubleArray, writeFloatArray, writeIntArray, writeLongArray, writeObject, writeShortArray, writeUTFArray`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from interface com.hazelcast.nio.VersionAware

      `getVersion`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### UTF_BUFFER_SIZE

          static final int UTF_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### write

          void write(int position,
                     int b)

    - #### writeInt

          void writeInt(int position,
                        int v)
                 throws IOException

      Throws:
        `IOException`

    - #### writeInt

          void writeInt(int v,
                        ByteOrder byteOrder)
                 throws IOException

      Throws:
        `IOException`

    - #### writeInt

          void writeInt(int position,
                        int v,
                        ByteOrder byteOrder)
                 throws IOException

      Throws:
        `IOException`

    - #### writeLong

          void writeLong(int position,
                         long v)
                  throws IOException

      Throws:
        `IOException`

    - #### writeLong

          void writeLong(long v,
                         ByteOrder byteOrder)
                  throws IOException

      Throws:
        `IOException`

    - #### writeLong

          void writeLong(int position,
                         long v,
                         ByteOrder byteOrder)
                  throws IOException

      Throws:
        `IOException`

    - #### writeBoolean

          void writeBoolean(int position,
                            boolean v)
                     throws IOException

      Throws:
        `IOException`

    - #### writeByte

          void writeByte(int position,
                         int v)
                  throws IOException

      Throws:
        `IOException`

    - #### writeZeroBytes

          void writeZeroBytes(int count)

    - #### writeChar

          void writeChar(int position,
                         int v)
                  throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          void writeDouble(int position,
                           double v)
                    throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          void writeDouble(double v,
                           ByteOrder byteOrder)
                    throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          void writeDouble(int position,
                           double v,
                           ByteOrder byteOrder)
                    throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          void writeFloat(int position,
                          float v)
                   throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          void writeFloat(float v,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          void writeFloat(int position,
                          float v,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### writeShort

          void writeShort(int position,
                          int v)
                   throws IOException

      Throws:
        `IOException`

    - #### writeShort

          void writeShort(int v,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### writeShort

          void writeShort(int position,
                          int v,
                          ByteOrder byteOrder)
                   throws IOException

      Throws:
        `IOException`

    - #### position

          int position()

    - #### position

          void position(int newPos)

    - #### clear

          void clear()

    - #### setVersion

          void setVersion(Version version)

Copyright © 2018. All rights reserved.